Subject: Re: [PATCH 0/6] Corrections to the mailmap file

From: Stefan Beller <[email-masked]>
Date: Thu, 04 Jul 2013 16:37:36 +0200

Here is a script to display the entries I was referring to:
---
#!/bin/bash

git shortlog -sne |awk '{ NF--; $1=""; print }' |sort |uniq -d > mailmapdoubles

while read line ; do
	# remove leading whitespace
	trimmed=$(echo $line | sed -e 's/^ *//g' -e 's/ *$//g')
	echo "git shortlog -sne | grep \""$trimmed"\""
done < mailmapdoubles > mailmapdoubles2

sh mailmapdoubles2
rm mailmapdoubles
rm mailmapdoubles2

On 07/04/2013 04:04 PM, Stefan Beller wrote:
> Hello,
> 
> I noticed many duplicates in email addresses but having the same name by
> running:
> 
>     # Finding out duplicates by comparing names:
>     git shortlog -sne |awk '{ NF--; $1=""; print }' |sort |uniq -d
> 
> Most of these entries are most probably the same person, but we cannot be 
> sure, as there might be different persons having the same name, then they
> are only distinguished by the mail address.
> 
> However I suspect most of these to be the same person, having changed 
> mail addresses.
> 
> Here comes an initial batch of corrections to the mailmap file, which
> maps people with email addresses of different capitalization onto
> the same entity.
> (Example [email-masked] is the same as [email-masked])
> 
> I intend to contact each of the persons individually and ask whether 
> just their mail address changed, or if they are indeed different persons.
> 
> Stefan Beller
> 
> Stefan Beller (6):
>   .mailmap: Multiple email addresses of Alejandro R. Sedeño
>   .mailmap: Multiple mail addresses of Alex Riesen
>   .mailmap: Multiple mail addresses of Paul Mackerras
>   .mailmap: Multiple mail addresses of Keith Cascio
>   .mailmap: Multiple mail addresses of Johannes Schindelin
>   .mailmap: Multiple mail addresses of Toby Allsopp
> 
>  .mailmap | 9 +++++++++
>  1 file changed, 9 insertions(+)
>